Question

problem installing jenkins 1.560 on Ubuntu 14.04 x32

Posted April 24, 2014 8.3k views
Hi there, trying to spin up a simple Jenkins box, and running up agains this error while running *sudo apt-get install jenkins* : Setting up jenkins (1.560) ... dpkg: error processing package jenkins (--configure): subprocess installed post-installation script returned error exit status 1 Errors were encountered while processing: jenkins E: Sub-process /usr/bin/dpkg returned an error code (1)

These answers are provided by our Community. If you find them useful, show some love by clicking the heart. If you run into issues leave a comment, or add your own answer to help others.

×
6 answers
Sorry - submitted too soon.

Two part question:
a) anyone encounter this before / have a workaround or fix?
b) is there a way to find more verbose logs for apt-get?
@eyefodder:

I can't seem to reproduce that on a fresh 14.04 droplet. Are you using package repository: http://pkg.jenkins-ci.org/debian

You could try running the post installation script directly to see what is happening:


sh /var/lib/dpkg/info/jenkins.postinst configure 1.560
Maybe it's because of this, I'm having the same issue on an older ubuntu version
Dammit: https://issues.jenkins-ci.org/browse/JENKINS-22710

Maybe you have some other process listening to 8080 port. Try to stop it and try again

To get this fixed - install required jdk for jenkins, remove jenkins, remove java (if not needed)

Submit an Answer